/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */


#ifndef _CRYPTPARAMEX_H_
#define _CRYPTPARAMEX_H_
/*-------------------------------------------------------------------
 0
    
---------------------------------------------------------------------*/
/*  
     CPGetProvParam(...,PP_LICINFO...)   pData   
    . 
    LIC_CONTROL = 1,  
*/
#define PP_LICINFO  159
/*   GetProvParam(..., PP_REGINIT,...)  
	    SetProvParam(..., PP_REGINIT,...)  
*/
#define PP_REGINIT	    160
/*   GetProvParam(..., PP_EXPORT_CSP,...)
*/
#define PP_EXPORT_CSP    172


/* 
    Nonce
    SIP
*/
/*   GetKeyPairParam (..., KP_NONCE,...) 	
	    GetMasterKeyParam(..., KP_NONCE,...)
	    GetSessionKeyParam(..., KP_NONCE,...) 
	    */
#define KP_NONCE	    0x800000fb
/*  GetSessionKeyParam(..., KP_REGINIT,...)  */
#define KP_REGINIT	    0x800000fc
/*   GetMasterKeyParam(..., KP_LIC_CONTROL_INFO,...)
	    GetSessionKeyParam(..., KP_LIC_CONTROL_INFO, ...)*/
#define KP_LIC_CONTROL_INFO	0x800000fe

/*   SetSessionKeyParam(..., KP_AUTH_TAG,..., SAVE_AUTH_TAG)  */
#define SAVE_AUTH_TAG		0x100

#define NONCE_LEN   64


#define CRYPT_EX2			0x00080000
#define CRYPT_EX3			0x000c0000

/*-------------------------------------------------------------------
 1
    
---------------------------------------------------------------------*/

#define HP_LIC_SIGN_INFO		0x800000ff

//    dwLicFlags  LIC_SIGN_INFO
#define GEN_SHORT_LIC_SIGNATURE		0x80000000
#define ADD_PUBLIC_KEY			0x40000000

#define GEN_SERVER_LICENSE		0x00000001
#define GEN_EXPORT_LICENSE		0x00000002
#define GEN_TLS_ONLY_LICENSE		0x00000004

#define VECT_FLAGS_MASK			(GEN_SERVER_LICENSE | GEN_EXPORT_LICENSE | GEN_TLS_ONLY_LICENSE)
#define VECT_PRODUCT_MASK		0x000003F8
#define VECT_FULL_MASK			(VECT_PRODUCT_MASK | VECT_FLAGS_MASK)

#define LIC_SIGN_MAX_EXTENSION_LEN	0x10

typedef struct _LIC_SIGN_INFO_ {
    DWORD dwLicFlags;
    DWORD dwExtensions;
    BYTE *pbExtensions;
} LIC_SIGN_INFO;

#define ALG_SID_LIC_SIGN_HASH		0x1FF
#define CALG_LIC_SIGN_HASH \
    (ALG_CLASS_HASH | ALG_TYPE_ANY | ALG_SID_LIC_SIGN_HASH)

#endif /*_CRYPTPARAMEX_H_*/
