/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#include "fat12prj.h"

/*!
 * \ingroup fat12_info_general
 * \brief    .
 * \return  
 * \retval ERROR_SUCCESS  .
 */
DWORD fat12_context_free(TSupSysContext *context, TSupSysInfo *info)
{
    TFat12Context *ctx = (TFat12Context*)context;
    UNUSED(info);

    if( ctx == NULL )
	return ERROR_SUCCESS;
#ifdef UNIX
    free(ctx->volume_label);
    delete_mutex(ctx->lock);
#endif //UNIX
    free(ctx->path);
    free(ctx->path_to_item);
    free(ctx);
    return ERROR_SUCCESS;
}
