/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#include "ric_prj.h"

/*    . */
DWORD ric_unique_get(
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TSupSysInfoText *inf = (TSupSysInfoText*)info;
    TRICContext *ctx = (TRICContext*)context;
    TCHAR *buffer;
    TCHAR full[MAX_UNIQUE_LENGTH + 1];
    DWORD code;
    unsigned char unique_num[UNI_LEN];

    SUPSYS_PRE_CONTEXT( context, TRICContext );
    SUPSYS_PRE_INFO( info, TSupSysInfoText );

    if( inf->text == NULL || inf->length == 0 )
    {
	inf->length = ctx->unique_length;
	return ERROR_SUCCESS;
    }
    buffer = inf->text;
    code = ric_unique_num( ctx, unique_num );
    if( code )
	return code;
    ctx->unique_form( unique_num, full );
    _tcsncpy( buffer, full, inf->length );
    buffer[inf->length] = 0;
    inf->length = ctx->unique_length;
    return ERROR_SUCCESS;
}
/* end of file: $Id: ric_uni.c 125218 2015-08-05 09:34:11Z dim $ */
